## ros-foxy-rosbag2-test-common 0.3.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rosbag2_test_common)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

# Windows supplies macros for min and max by default. We should only use min and max from stl
if(WIN32)
  add_definitions(-DNOMINMAX)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Werror)
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rcutils REQUIRED)

add_library(${PROJECT_NAME} INTERFACE)
target_include_directories(${PROJECT_NAME} INTERFACE
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)
ament_target_dependencies(${PROJECT_NAME} INTERFACE rclcpp rcutils)

install(
  TARGETS ${PROJECT_NAME}
  EXPORT export_${PROJECT_NAME})
install(
  DIRECTORY include/
  DESTINATION include)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_export_dependencies(rclcpp rcutils)

ament_export_include_directories(include)
ament_export_targets(export_${PROJECT_NAME})
ament_package()

=== debian/changelog ===
ros-foxy-rosbag2-test-common (0.3.11-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Sat, 27 May 2023 00:00:00 -0000

ros-foxy-rosbag2-test-common (0.3.10-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 16 Mar 2023 00:00:00 -0000

ros-foxy-rosbag2-test-common (0.3.9-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 03 Feb 2022 00:00:00 -0000

ros-foxy-rosbag2-test-common (0.3.8-1focal) focal; urgency=high

  * Handle SIGTERM gracefully in recording (#809 <https://github.com/ros2/rosbag2/issues/809>)
  * Contributors: Emerson Knapp

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 19 Jul 2021 00:00:00 -0000

ros-foxy-rosbag2-test-common (0.3.7-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 15 Feb 2021 00:00:00 -0000

ros-foxy-rosbag2-test-common (0.3.6-1focal) focal; urgency=high

  * Update maintainer list for Foxy (#551 <https://github.com/ros2/rosbag2/issues/551>)
  * Contributors: Michael Jeronimo

 -- Karsten Knese <karsten@openrobotics.org>  Tue, 05 Jan 2021 00:00:00 -0000

ros-foxy-rosbag2-test-common (0.3.5-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 31 Aug 2020 00:00:00 -0000

ros-foxy-rosbag2-test-common (0.3.4-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 05 Aug 2020 00:00:00 -0000

ros-foxy-rosbag2-test-common (0.3.3-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Tue, 23 Jun 2020 00:00:00 -0000

ros-foxy-rosbag2-test-common (0.3.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-foxy-rosbag2-test-common (0.3.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 01 Jun 2020 00:00:00 -0000

ros-foxy-rosbag2-test-common (0.3.0-1focal) focal; urgency=high

  * Export targets (#403 <https://github.com/ros2/rosbag2/issues/403>)
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-foxy-rosbag2-test-common (0.2.8-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 18 May 2020 00:00:00 -0000

ros-foxy-rosbag2-test-common (0.2.7-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Tue, 12 May 2020 00:00:00 -0000

ros-foxy-rosbag2-test-common (0.2.6-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 07 May 2020 00:00:00 -0000

ros-foxy-rosbag2-test-common (0.2.5-1focal) focal; urgency=high

  * use serialized message (#386 <https://github.com/ros2/rosbag2/issues/386>)
  * QoS Profile Overrides - Player (#353 <https://github.com/ros2/rosbag2/issues/353>)
  * Intelligently subscribe to topics according to their QoS profiles (#355 <https://github.com/ros2/rosbag2/issues/355>)
  * Override Subscriber QoS - Record (#346 <https://github.com/ros2/rosbag2/issues/346>)
  * fix cyclone tests (#338 <https://github.com/ros2/rosbag2/issues/338>)
  * code style only: wrap after open parenthesis if not in one line (#280 <https://github.com/ros2/rosbag2/issues/280>)
  * Enhance E2E tests in Windows (#278 <https://github.com/ros2/rosbag2/issues/278>)
  * Add splitting e2e tests (#247 <https://github.com/ros2/rosbag2/issues/247>)
  * Make rosbag2 a metapackage (#241 <https://github.com/ros2/rosbag2/issues/241>)
  * make ros tooling working group maintainer (#211 <https://github.com/ros2/rosbag2/issues/211>)
  * Contributors: Anas Abou Allaban, Dirk Thomas, Emerson Knapp, Karsten Knese, Zachary Michaels

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 30 Apr 2020 00:00:00 -0000

ros-foxy-rosbag2-test-common (0.2.4-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 18 Nov 2019 00:00:00 -0000

ros-foxy-rosbag2-test-common (0.2.3-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 18 Nov 2019 00:00:00 -0000

ros-foxy-rosbag2-test-common (0.2.2-1focal) focal; urgency=high

  * (API) Generate bagfile metadata in Writer (#184 <https://github.com/ros2/rosbag2/issues/184>)
  * Contributors: Zachary Michaels

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-foxy-rosbag2-test-common (0.2.1-1focal) focal; urgency=high

  * Disable parameter event publishers on test nodes. (#180 <https://github.com/ros2/rosbag2/issues/180>)
  * Fix API for new Intra-Process communication. (#143 <https://github.com/ros2/rosbag2/issues/143>)
  * Contributors: Alberto Soragna, Dan Rose

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-foxy-rosbag2-test-common (0.2.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 26 Sep 2019 00:00:00 -0000

ros-foxy-rosbag2-test-common (0.1.2-1focal) focal; urgency=high

  * clean up test dependencies for rosbag2_test_common (#118 <https://github.com/ros2/rosbag2/issues/118>)
    * clean up test dependencies for rosbag2_test_common
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * use build and exec depend
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 20 May 2019 00:00:00 -0000

ros-foxy-rosbag2-test-common (0.1.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 09 May 2019 00:00:00 -0000

ros-foxy-rosbag2-test-common (0.1.0-1focal) focal; urgency=high

  * changes to avoid deprecated API's (#115 <https://github.com/ros2/rosbag2/issues/115>)
  * fix compilation against master (#111 <https://github.com/ros2/rosbag2/issues/111>)
  * Compile tests (#103 <https://github.com/ros2/rosbag2/issues/103>)
  * enforce unique node names (#86 <https://github.com/ros2/rosbag2/issues/86>)
  * Contributors: Dirk Thomas, Karsten Knese, William Woodall

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 08 May 2019 00:00:00 -0000



=== debian/control ===
Source: ros-foxy-rosbag2-test-common
Section: misc
Priority: optional
Maintainer: Karsten Knese <karsten@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-rclcpp, ros-foxy-rcutils, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rosbag2-test-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-rclcpp, ros-foxy-rcutils, ros-foxy-ros-workspace
Description: Commonly used test helper classes and fixtures for rosbag2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-rosbag2-test-common//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
